import React from 'react';
import styled from 'styled-components';
import { cv } from '../../style';
const ToolTipBox = styled.div`
    position: relative;
    background-color: ${cv.bg_element5};
    color: ${cv.text5};
    font-size: 12px;
    border-radius: 6px;
    padding: 4px 8px;
    white-space: pre;
    user-select: none;
    pointer-events: none;
    z-index: 99999;

    &::after {
        content: '';
        position: absolute;
        border-style: solid;
        border-width: 5px;
        user-select: none;
        pointer-events: none;
    }
`;
const ToolTipBoxTop = styled(ToolTipBox)`
    margin-bottom: 12px;
    transform: translate(-50%, 0%);

    &::after {
        top: 100%;
        left: 50%;
        transform: translate(-50%, 0%);
        border-color: ${cv.bg_element5} transparent transparent transparent;
    }
`;
const ToolTipBoxBottom = styled(ToolTipBox)`
    margin-top: 12px;
    transform: translate(-50%, 0%);

    &::after {
        bottom: 100%;
        left: 50%;
        transform: translate(-50%, 0%);
        border-color: transparent transparent ${cv.bg_element5} transparent;
    }
`;
const ToolTipBoxRight = styled(ToolTipBox)`
    margin-left: 12px;
    transform: translate(0%, -50%);

    &::after {
        top: 50%;
        right: 100%;

        transform: translate(0%, -50%);
        border-color: transparent ${cv.bg_element5} transparent transparent;
    }
`;
const ToolTipBoxLeft = styled(ToolTipBox)`
    margin-right: 12px;
    transform: translate(0%, -50%);

    &::after {
        top: 50%;
        left: 100%;
        transform: translate(0%, -50%);
        border-color: transparent transparent transparent ${cv.bg_element5};
    }
`;
const PosBox = styled.div`
    position: absolute;
    inset: ${props => props.pos};
`;
export function ButtonToolTipBox({
  text,
  direction,
  pos
}) {
  let box;

  switch (direction) {
    case 'bottom':
      box = /*#__PURE__*/React.createElement(ToolTipBoxBottom, null, text);
      break;

    case 'right':
      box = /*#__PURE__*/React.createElement(ToolTipBoxRight, null, text);
      break;

    case 'left':
      box = /*#__PURE__*/React.createElement(ToolTipBoxLeft, null, text);
      break;

    case 'top':
    default:
      box = /*#__PURE__*/React.createElement(ToolTipBoxTop, null, text);
      break;
  }

  return /*#__PURE__*/React.createElement(PosBox, {
    pos: pos
  }, box);
}