function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { useCallback, useEffect, useState } from 'react';
import styled, { css } from 'styled-components';
import { TabNav } from '..';
import { useHeaderNotice } from '../../hooks';
import { cv } from '../../style';
const DivverOuter = styled.div`
    position: relative;
    display: flex;
    width: 100%;
    border-bottom: solid 1px ${cv.border4};
    user-select: none;
    margin-top: -4px;
    background-color: ${cv.bg_element1};
    transition: box-shadow 200ms;
    z-index: 10;

    ${props => props.isScrolled && css`
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            margin-top: 0px;
            padding-top: 6px;
            box-shadow: 0px 0px 10px rgba(0, 0, 0, 10%);
        `};
`;
const Divver = styled.div`
    display: flex;
    width: 100%;
    max-width: calc(1200px + 2 * 24px);
    padding: 0px 24px;
    margin: auto;
    position: relative;
    margin-bottom: -1px;

    @media (max-width: 767px) {
        padding: 0px 8px;
    }
`;
export const HeaderSubMenu = Object.assign(props => {
  const [isScrolled, setScrolled] = useState(false);
  const {
    isOpen
  } = useHeaderNotice();
  const listener = useCallback(() => {
    const height = isOpen ? 85 : 50;
    setScrolled(window.scrollY > height);
  }, [isOpen]);
  useEffect(() => {
    window.addEventListener('scroll', listener);
    return () => {
      window.removeEventListener('scroll', listener);
    };
  }, [listener]);
  return /*#__PURE__*/React.createElement(DivverOuter, {
    isScrolled: isScrolled
  }, /*#__PURE__*/React.createElement(Divver, null, /*#__PURE__*/React.createElement(TabNav, _extends({}, props, {
    hasContext: true
  }))));
}, {
  displayName: 'Header.SubMenu'
});