function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

/* eslint-disable react/prop-types */
import styled, { css } from 'styled-components';
import React, { useImperativeHandle, useRef } from 'react';
import { cv } from '../../style';
import { Flex } from '../layout';
import { Label } from './label';
const Divver = styled.div`
    position: relative;
    display: flex;
    align-items: center;
    border-radius: 4px;
    font-size: 14px;
    gap: 8px;
    user-select: none;

    padding: 0px 8px;
    cursor: pointer;
    border: solid 1px ${cv.border4};
    background-color: ${cv.bg_element1_1};
    border-radius: 4px;
    height: 40px;
    color: ${cv.text1};
    transition: 150ms;
    &:hover {
        background-color: ${cv.bg_element2};
    }
    &:focus-within {
        border: solid 1px ${cv.border2};
    }

    &:has(input:checked) {
        background-color: ${cv.bg_element3};
    }
`;
const StyledInput = styled.input`
    cursor: pointer;
    appearance: none;
    position: relative;

    width: 16px;
    height: 16px;
    border-radius: 9px;
    border: solid 2px ${cv.text1};

    &:checked {
        &::after {
            position: absolute;
            content: '';
            top: 2px;
            left: 2px;
            width: 8px;
            height: 8px;
            border-radius: 4px;
            background-color: ${cv.text1};
        }
    }
`;
const RadioLabel = styled.label`
    font-size: 0.875rem;
    cursor: pointer;

    ${props => props.required && css`
            ::after {
                content: ' *';
            }
        `}
`;
export const Radio = /*#__PURE__*/React.forwardRef((props, ref) => {
  const inputRef = useRef(null);
  useImperativeHandle(ref, () => inputRef.current);
  return /*#__PURE__*/React.createElement(Divver, {
    onClick: () => inputRef.current?.click()
  }, /*#__PURE__*/React.createElement(StyledInput, _extends({}, props, {
    type: "radio",
    ref: inputRef
  }), props.children), props.label && /*#__PURE__*/React.createElement(RadioLabel, {
    onClick: () => inputRef.current?.click()
  }, props.label));
});
export function RadioGroup({
  children,
  label
}) {
  return /*#__PURE__*/React.createElement(Flex.Column, null, label && /*#__PURE__*/React.createElement(Label, {
    required: false
  }, label), /*#__PURE__*/React.createElement(Flex.Column, {
    gap: "6px"
  }, children));
}