import React from 'react';
import styled from 'styled-components';
import { cv } from '../../../style';
const AvatarDiv = styled.div`
    display: flex;
    align-items: center;
    gap: 8px;
    flex: ${props => props.flex || 1};
    width: 100%;
`;
const AvatarIcon = styled.img`
    border-radius: 999px;
    background-color: ${cv.bg_element2};

    width: 36px;
    height: 36px;
`;
const AvatarInfo = styled.div`
    display: flex;
    flex-direction: column;
    gap: 2px;
`;
const AvatarName = styled.div`
    color: ${cv.text1};
    font-size: 14px;
    line-height: 17px;
    font-weight: 600;
`;
const AvatarLabel = styled.div`
    font-size: 14px;
    color: ${cv.text2};
`;
/**
 * icon, name, label을 표시할 수 있는 아이템입니다.
 */

export function AvatarItem({
  flex,
  icon,
  name,
  label
}) {
  return /*#__PURE__*/React.createElement(AvatarDiv, {
    flex: flex
  }, typeof icon === 'string' ? /*#__PURE__*/React.createElement(AvatarIcon, {
    src: icon,
    alt: ""
  }) : icon, /*#__PURE__*/React.createElement(AvatarInfo, null, /*#__PURE__*/React.createElement(AvatarName, null, name), /*#__PURE__*/React.createElement(AvatarLabel, null, label)));
} // AvatarItem.displayName = 'ItemsTable.Row.Avatar';