/* eslint-disable react/jsx-no-constructed-context-values */
import React from 'react';
import styled from 'styled-components';
import { cv } from '../../../style';
import { StatusBadge } from '../../badge';
const StateDiv = styled.div`
    width: 120px;
    display: flex;
    flex-direction: column;
    gap: 2px;
    flex: ${props => props.flex || 1};
    width: 100%;

    @media (max-width: 767px) {
        margin-top: 4px;
        width: 100%;
        flex-direction: row;
        gap: 4px;
    }
`;
const TypeDiv = styled.div`
    color: ${cv.text2};
    font-size: 14px;
    margin-left: 8px;
    flex: ${props => props.flex || 1};
    width: 100%;
`;

const colorMap = text => {
  const map = {
    stateless: 'gray',
    error: 'red',
    warning: 'yellow',
    done: 'blue',
    good: 'green'
  };
  return map[text] || 'gray';
};

function capitalize(str) {
  return str.charAt(0).toUpperCase() + str.slice(1);
}

export function StatusItem({
  flex,
  status,
  label
}) {
  return /*#__PURE__*/React.createElement(StateDiv, {
    flex: flex
  }, /*#__PURE__*/React.createElement(StatusBadge, {
    color: colorMap(status.toLowerCase()),
    text: capitalize(status)
  }), label && /*#__PURE__*/React.createElement(TypeDiv, null, label));
}
StatusItem.displayName = 'ItemsTable.Row.Status';