function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { Share } from 'phosphor-react';
import React, { useContext } from 'react';
import styled, { css } from 'styled-components';
import { LinkContext } from '../../context/linkContext';
import { cv } from '../../style';
const LinkStyle = css`
    color: ${cv.blue1};
    text-decoration: none;
    font-size: 0.875rem;
    line-height: 24px;
    cursor: pointer;
    border-bottom: solid 1px rgba(0, 0, 0, 0);
`;
const StyledLink = styled.a`
    /*
        만약 showUnderline 앞에 $를 붙이지 않으면 해당 prop이 a 태그로 전해지기 때문에 warning이 발생합니다.
        prefix로 $를 붙이면 해당 prop이 a 태그로 전해지는 것을 방지하기 때문에 warning을 방지할 수 있습니다.
    */
    ${LinkStyle}
    color: ${props => props.color};
    ${props => props.$showUnderline && css`
            &:hover {
                border-bottom: solid 1px ${props.color};
            }
        `}
`;

/**
 * Link를 표시할 때 사용합니다. OpizeWrapper의 initLink가 없다면 <a> 태그로 작동합니다.
 */
export const Link = /*#__PURE__*/React.forwardRef(({
  as,
  to,
  color,
  newTab = false,
  showIcon = false,
  children,
  showUnderline = true,
  ...props
}, ref) => {
  const {
    Link: LinkA
  } = useContext(LinkContext);
  const Element = as || LinkA || 'a';
  return /*#__PURE__*/React.createElement(StyledLink, _extends({}, props, {
    href: to,
    to: to,
    target: newTab ? '_blank' : '_self',
    rel: "noreferrer",
    color: color || cv.blue1,
    $showUnderline: showUnderline,
    ref: ref,
    as: Element
  }), children, showIcon && /*#__PURE__*/React.createElement(Share, {
    size: 16,
    color: color || cv.blue1,
    weight: "bold",
    style: {
      marginLeft: '4px',
      marginBottom: '-2px'
    }
  }));
});