import React, { createContext, useMemo, useState, useEffect } from 'react';
export const LinkContext = /*#__PURE__*/createContext({
  Link: undefined,
  setLink: () => null
});

function LinkContextProvider({
  children,
  initLink
}) {
  const [Link, setLink] = useState();
  useEffect(() => {
    if (initLink) {
      setLink(initLink);
    }
  }, [initLink]);
  const value = useMemo(() => ({
    Link,
    setLink
  }), [Link]);
  return /*#__PURE__*/React.createElement(LinkContext.Provider, {
    value: value
  }, children);
}

export default LinkContextProvider;