import React, { createContext, useMemo, useState } from 'react';
export const TabNavValueContext = /*#__PURE__*/createContext({
  lastUnderlineStyle: {
    width: 0,
    left: 0
  },
  lastHoverBoxStyle: {
    width: 0,
    left: 0,
    show: false
  }
});
export const TabNavActionContext = /*#__PURE__*/createContext({
  setLastHoverBoxStyle: () => null,
  setLastUnderlineStyle: () => null
});

function TabNavContextProvider({
  children
}) {
  const [lastUnderlineStyle, setLastUnderlineStyle] = useState({
    width: 0,
    left: 0
  });
  const [lastHoverBoxStyle, setLastHoverBoxStyle] = useState({
    width: 0,
    left: 0,
    show: false
  });
  const action = useMemo(() => ({
    setLastUnderlineStyle,
    setLastHoverBoxStyle
  }), [setLastUnderlineStyle, setLastHoverBoxStyle]);
  const value = useMemo(() => ({
    lastUnderlineStyle,
    lastHoverBoxStyle
  }), [lastHoverBoxStyle, lastUnderlineStyle]);
  return /*#__PURE__*/React.createElement(TabNavActionContext.Provider, {
    value: action
  }, /*#__PURE__*/React.createElement(TabNavValueContext.Provider, {
    value: value
  }, children));
}

export default TabNavContextProvider;